<?php
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider and all of them will
| be assigned to the "web" middleware group. Make something great!
|
*/

Route::group(['prefix' => 'doctor', 'namespace' => 'Doctor', 'as' => 'doctor.', 'middleware' => ['doctor_auth']], function () {

    Route::get('register', 'Auth\RegisterController@showRegisterForm')->name('register');
    Route::post('registerPost', 'Auth\RegisterController@register')->name('registerPost');

    Route::get('login', 'Auth\LoginController@showLoginForm');
    Route::post('login/post', 'Auth\LoginController@login');

    Route::get('password/request', 'Auth\ResetPasswordController@resetPassword')->name('password.request');

    Route::group(['middleware' => ['doctor_authenticated']], function () {

        Route::post('logout', 'Auth\LoginController@logout')->name('logout');
        Route::get('/','HomeController@index')->name('home');
        Route::get('/dashboard','DashboardController@index');

    });
    
});
